python模块以及导入出现ImportError: No module named 'xxx'问题 5C

在建testcase的时候,跟代码文件夹建了一个独立的文件夹tests, 用于存放测试用例, 但单独运行的时候,却报 找不到模块

1个回答

到现在才知道怎么把自己写的模块加入到查找路径中,方便在使用过程中解释器能索引到自定义的模块

进入python环境中,首先引入sys模块:import sys

然后使用sys.path查询现有python解释器所查找的模块路径

书写自己的模块放置到一个文件夹下

然后使用sys.path.append("my_model_path"),my_model_path就是自定义模块所存放的路径

这样就可以在写程序的时候,通过import xxx来导入自定义的模块了,这是由于刚刚我们把我们的模块加入到解释器能识别的查找路径中去了

补充一下:
python中,每个py文件被称之为模块,每个具有__init__.py文件的目录被称为包。只要模
块或者包所在的目录在sys.path中,就可以使用import 模块或import 包来使用
如果你要使用的模块(py文件)和当前模块在同一目录,只要import相应的文件名就好,比
如在a.py中使用b.py:
import b

但是如果要import一个不同目录的文件(例如b.py)该怎么做呢?
首先需要使用sys.path.append方法将b.py所在目录加入到搜素目录中。然后进行import即
可,例如
import sys
sys.path.append('c:\xxxx\b.py') # 这个例子针对 windows 用户来说的
大多数情况,上面的代码工作的很好。但是如果你没有发现上面代码有什么问题的话,可要

注意了,上面的代码有时会找不到模块或者包(ImportError: No module named
xxxxxx),这是因为:
sys模块是使用c语言编写的,因此字符串支持 '\n', '\r', '\t'等来表示特殊字符。所以

上面代码最好写成:
sys.path.append('c:\xxx\b.py')
或者sys.path.append('c:/xxxx/b.py')
这样可以避免因为错误的组成转义字符,而造成无效的搜索目录(sys.path)设置。

sys.path是python的搜索模块的路径集,是一个list
可以在python 环境下使用sys.path.append(path)添加相关的路径,但在退出python环境后
自己添加的路径就会自动消失了!

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
python模块以及导入出现ImportError: No module named 'xxx'问题(有效解决)
python模块以及导入出现ImportError: No module named 'xxx'问题   1.常见的就不说了,网上一大堆 2.切记程序名字不要和包的名字一样
python导入模块出现ImportError: No module named '...'问题解决方法总结
问题描述:在导入自己写的模块的时候,有时候会出现问题:ImportError: No module named 'xxx',前人已经总结的方法如下:(1) 使用sys.path.append来添加路径, 具体如下:import syssys.path.append("/path/your/code")(2)使用PYTHONPATH环境变量(3)将py文件放到site-packages目录下(4)使...
导致ImportError: No module named 'xxx'问题的两种原因以及解决方案
导致ImportError: No module named 'xxx'问题的两种原因以及解决方案 文件路径问题,工程路径问题
ImportError: No module named nose_parameterized
在学习Theano的过程中,为什么仅仅是from theano import sparse就出现这个错误
ImportError: No module named 'sklearn.model_selection'
环境:win10 anaconda3 ,python 3.5 rn问题:在jupyter notebook 中使用sklearn库时,报错:[color=#FF0000][b]ImportError: No module named 'sklearn.model_selection'[/b][/color]rn详细信息如图1所示:rn[align=center][img=https://img-bbs.csdn.net/upload/201707/05/1499261489_576021.png][/img][/align]rn[align=center]图1[/align]rn按照wisdom_bo博客所说在Anaconda prompty 输入:conda update scikit-learn来更新sklearn库。但是在unlinking packages的时候一直没有进度,电脑有网。如图2所示:rn[align=center][img=https://img-bbs.csdn.net/upload/201707/05/1499261686_557725.png][/img][/align]rn[align=center]图2[/align]rn请问大神这是怎么回事啊,我等了好久,大概一个小时也没有反应,即使包再大等一个小时总有进度吧,请求支援!!谢谢谢谢能有人解答!
ImportError: No module named '_pywrap_tensorflow_internal'
tensorflow==1.5.0 安装成功;继续安装gpu版本,按系统提示再安装 CUDA-9.0, cuDNN-7.0: cuda_9.0.176_win10_network以及patch1-4 / cudnn-9.0-windows10-x64-v7.3.1.20. 运行‘import tensorflow as tf’后报错: ImportError: No module named '_pywrap_tensorflow_internal'rnrn谢谢帮助rnrn ---------------------------------------------------------------------------rnImportError Traceback (most recent call last)rnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()rn 17 try:rn---> 18 return importlib.import_module(mname)rn 19 except ImportError:rnrnC:\Program Files\Anaconda3\lib\importlib\__init__.py in import_module(name, package)rn 125 level += 1rn--> 126 return _bootstrap._gcd_import(name[level:], package, level)rn 127 rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _gcd_import(name, package, level)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _find_and_load(name, import_)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _find_and_load_unlocked(name, import_)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _load_unlocked(spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in module_from_spec(spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap_external.py in create_module(self, spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _call_with_frames_removed(f, *args, **kwds)rnrnImportError: DLL load failed: 找不到指定的程序。rnrnDuring handling of the above exception, another exception occurred:rnrnImportError Traceback (most recent call last)rnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in ()rn 57 rn---> 58 from tensorflow.python.pywrap_tensorflow_internal import *rn 59 from tensorflow.python.pywrap_tensorflow_internal import __version__rnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in ()rn 20 return importlib.import_module('_pywrap_tensorflow_internal')rn---> 21 _pywrap_tensorflow_internal = swig_import_helper()rn 22 del swig_import_helperrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()rn 19 except ImportError:rn---> 20 return importlib.import_module('_pywrap_tensorflow_internal')rn 21 _pywrap_tensorflow_internal = swig_import_helper()rnrnC:\Program Files\Anaconda3\lib\importlib\__init__.py in import_module(name, package)rn 125 level += 1rn--> 126 return _bootstrap._gcd_import(name[level:], package, level)rn 127 rnrnImportError: No module named '_pywrap_tensorflow_internal'rnrnDuring handling of the above exception, another exception occurred:rnrnImportError Traceback (most recent call last)rn in ()rn----> 1 import tensorflow as tfrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\__init__.py in ()rn 22 rn 23 # pylint: disable=wildcard-importrn---> 24 from tensorflow.python import *rn 25 # pylint: enable=wildcard-importrn 26 rnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\__init__.py in ()rn 47 import numpy as nprn 48 rn---> 49 from tensorflow.python import pywrap_tensorflowrn 50 rn 51 # Protocol buffersrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in ()rn 72 for some common reasons and solutions. Include the entire stack tracern 73 above this error message when asking for help.""" % traceback.format_exc()rn---> 74 raise ImportError(msg)rn 75 rn 76 # pylint: enable=wildcard-import,g-import-not-at-top,unused-import,line-too-longrnrnImportError: Traceback (most recent call last):rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helperrn return importlib.import_module(mname)rn File "C:\Program Files\Anaconda3\lib\importlib\__init__.py", line 126, in import_modulern return _bootstrap._gcd_import(name[level:], package, level)rn File "", line 986, in _gcd_importrn File "", line 969, in _find_and_loadrn File "", line 958, in _find_and_load_unlockedrn File "", line 666, in _load_unlockedrn File "", line 577, in module_from_specrn File "", line 906, in create_modulern File "", line 222, in _call_with_frames_removedrnImportError: DLL load failed: 找不到指定的程序。rnrnDuring handling of the above exception, another exception occurred:rnrnTraceback (most recent call last):rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in rn from tensorflow.python.pywrap_tensorflow_internal import *rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in rn _pywrap_tensorflow_internal = swig_import_helper()rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helperrn return importlib.import_module('_pywrap_tensorflow_internal')rn File "C:\Program Files\Anaconda3\lib\importlib\__init__.py", line 126, in import_modulern return _bootstrap._gcd_import(name[level:], package, level)rnImportError: No module named '_pywrap_tensorflow_internal'rnrnrnFailed to load the native TensorFlow runtime.rnrnSee https://www.tensorflow.org/install/install_sources#common_installation_problemsrnrnfor some common reasons and solutions. Include the entire stack tracernabove this error message when asking for help.
ImportError: No module named django.db
#-*- coding:utf-8 -*-rnrnfrom django.db import modelsrnrnclass Topics(models.Model):rn """用户学习的主题"""rn text = models.CharField(max_length=200)rn date_added = models.DateTimeField(auto_now_add=ture)rnrn def __str__(self):rn """返回模型的字符串表示"""rn return self.text
ImportError: No module named sets
谁值得这个是什么错误啊rnlinux下rnTraceback (most recent call last):rn File "/usr/local/mpich2/bin/mpd", line 87, in ?rn from sets import Set as setrnImportError: No module named setsrn帮忙指点一下
ImportError: No module named 'matplotlib.externals'
如题,帮忙解决一下这个问题,谢谢!rnTraceback (most recent call last):rn File "E:\python34\test.py", line 1, in rn import matplotlib.pyplot as pltrn File "E:\python34\lib\site-packages\matplotlib\pyplot.py", line 21, in rn from matplotlib.externals import sixrnImportError: No module named 'matplotlib.externals'
ImportError: No module named java.lang.System
[root@localhost autodomain]# python createDomain.pyrnTraceback (most recent call last):rn File "createDomain.py", line 12, in rn import java.lang.SystemrnImportError: No module named java.lang.Systemrnrnrn我运行个小脚本,报错 怎么解决哇。。rnrn12行是import java.lang.System
ImportError: No module named os
我在配置Apache+mod_wsgi+Django的过程中,出现错误rn[Tue Sep 28 23:03:56 2010] [error] Traceback (most recent call last):rn[Tue Sep 28 23:03:56 2010] [error] File "E:/devspace/djtest/djtest/django.wsgi", line 1, in rn[Tue Sep 28 23:03:56 2010] [error] import sys, osrn[Tue Sep 28 23:03:56 2010] [error] ImportError: No module named osrnrn同样的工程,我在公司跑没问题,在家就出现这问题。rn有了解的告诉下,谢谢!
ImportError: No module named httplib
使用python编写脚本,提示ImportError: No module named httplib,在网上搜了下说是需要导入Django。我就在python官网上下了Django-1.6.1.tar.gz安装后,还是提示没有httplib,现在真不知道该怎么办了,请高手帮忙解决下
ImportError: No module named 请教
目录结构rnSrcrn |_MyApprn |_ MyApp.pyrn |_ MyFrame.pyrn |_ __init__.pyrnrn#MyApp.pyrnimport wxrnfrom MyApp.MyFrame import MyFrame rn#from MyFrame import MyFramernclass MyApp(wx.App):rn def __init__(self):rn wx.App.__init__(self)rn def OnInit(self):rn self.frame = MyFrame(None)rn self.frame.Show(True)rn self.SetTopWindow(self.frame) rn return Truernrnif __name__=="__main__":rn app = MyApp() rn app.MainLoop() rnrn运行时提示 ImportError: No module named iCMSApp.MainFramern请教下大家
ImportError: No module named fcntl
ImportError: No module named fcntl #fcntl.py #ImportError
ImportError: No module named naoqi
Traceback (most recent call last):rn File "", line 1, in rn import naoqirnImportError: No module named naoqirn有正在使用nao的朋友吗?
ImportError: No module named 'matplotlib'
![图片说明](https://img-ask.csdn.net/upload/201703/22/1490139637_755846.png)n![图片说明](https://img-ask.csdn.net/upload/201703/22/1490139654_86486.png)n怎么弄啊 我应该是安装matplotlid了的n怎么还说我没有
importError No module named multiarry
在terminal输入python后,执行命令报错:rn [code=python]rn import numpyrn import picklern import numpy.core.multiarrayrn data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27','rb'))[/code]rn报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrn rn [code=python]data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27','r'))[/code]rn报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrn rn [code=python] data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27'))[/code]rn继续报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrnrnrn在终端输入,感觉不存在编码问题;换了个机子用本机自带的python27运行报同样的错误!rnrn[color=#0000FF][b][size=16px]有没有哪位大神趟过相同的坑,恳请指教!至今没有解决问题~~~[/size][/b][/color]rnrn
ImportError: No module named pidlockfile
开启python的pyscada-daemon后,出现错误.错误详情:rn[img=https://img-bbs.csdn.net/upload/201603/21/1458541984_517128.png][/img]rnrn注:其中pyscada-daemon就是daemon,只是个别名
ImportError: No module named _md5
[color=#FF0000]安装python时,出现告警:[/color]rn*** WARNING: renaming "_hashlib" since importing it failed: build/lib.linux-i686-2.5/_hashlib.so: undefined symbol: EVP_MD_sizernrunning build_scriptsrnrn[color=#FF0000]尽管可正常安装,但是后续在安装setuptools-0.6c8时,会提示:[/color]baidu:/home/tt/software_zip # python ./ez_setup.py rnTraceback (most recent call last):rn File "./ez_setup.py", line 67, in rn except ImportError: from md5 import md5rn File "/usr/local/python2.5.4//lib/python2.5/md5.py", line 6, in rn from hashlib import md5rn File "/usr/local/python2.5.4//lib/python2.5/hashlib.py", line 133, in rn md5 = __get_builtin_constructor('md5')rn File "/usr/local/python2.5.4//lib/python2.5/hashlib.py", line 60, in __get_builtin_constructorrn import _md5rnImportError: No module named _md5rnrnopenssl已经试过了1.0版本,0.9.8版本;rnpython 已经试过了2.5.4/2.7.3/2.7.5/3.2 等版本,都有这个问题。rn求各位大神帮忙解答。rnlinux为SUSE
ImportError: No module named *** 问题?——理解绝对导入和相对导入
文章目录前言解决 ImportError: No module named ***如何使用相对导入from __future__ import absolute_import应该用绝对导入还是相对导入? 前言 Python 开发者一定对ImportError: No module named ***这个报错不陌生,特别是对于初学者来说,代码在本地 PyCharm 中运行得好好的,一放到服务器上用命...
python提示ImportError: No module named Image
我ubuntu安装了PIL,在python环境下输入:import Image时没有提示错误,可以运行.n但是我电脑同时安装了virtualenv,当在venv环境下输入import Image时会提示ImportError: No module named Image.n我想可能是虚拟环境下没有PIL 的问题,于是我又在venv环境下安装Python Imaging Library 1.7,然后又输入了一遍sudo apt-get install python-imaging.n没想到在venv环境下进行来上述两步后,再输入import Image时仍然提示同样的错误.n都装过了为什么还是提示没有Image呢?哪位老师指点一下,谢谢.
python 引入的错误 ImportError: No module named misc.ExtendAction
执行下边的脚本文件 出现的问题rnrnrnD:\qooxdoo-1.6-sdk\framework>generate.py -buildrnrn[color=#000080]Traceback (most recent call last):rn File "D:\qooxdoo-1.6-sdk\tool\bin\generator.py", line 25, in rn from misc.ExtendAction import ExtendActionrnImportError: No module named misc.ExtendAction[/color]rnrnrn大概意思是找不到misc.ExtendAction 这个东西rnrn但实际上 ExtendAction.py 这个文件是存在的..只是在运行的时候没有找到rnrn这个问题怎么解决rnrn各位达人,本人没学过python..只是遇到了这个问题..勿喷...
module named ‘XXX’问题解决方法
解决方法一: 打开Anaconda Prompt,输入命令: conda install XXX 解决方法二: 如果上述方法提示PackagesNotFoundError,那么就用pip安装,命令是: pip install XXX 注意!!!!如果在conda中创建了envs如tensorflow,那么需要进入对应环境进行安装。以scipy为例,操作如下: 打开Anaconda P...
【初学者】ImportError: No module named 'Tkinter'
如题,我在windows.vista上安装了python3.3,一路顺利安装下来了。上面也能运行了hello world。rn但是当我运行如下代码的时候,提示找不到模块Tkinterrnrnfrom Tkinter import *rnroot = Tk()rnw = Label(root, text="Hello, world!")rnw.pack()rnroot.mainloop()rnrn----------F5执行后,错误信息如下-------------------------rn>>> rnTraceback (most recent call last):rn File "C:/Python33/temp/my_try.py", line 1, in rn from Tkinter import *rnImportError: No module named 'Tkinter'rn>>>
[D]ImportError:No module named _elemenpath
我在一个程序中使用了[color=#FF0000]lxml[/color],使用cx_Freeze打包程序(python setup.py build),运行程序时总是报[color=#FF0000]ImportError:No module named _elemenpath[/color]的错。rn请高手帮忙解决。rnrn---------------------------rnDouble行动:rn原帖分数:40rn帖子加分:40
关于ImportError: No module named 'pyodbc'的问题
在doc命令下 pip install pyodbc已经安装成功,但在pycharm下import pyodbc后,一直报错ImportError: No module named 'pyodbc',需要链接的是sql2008,同理安装了pymssql也一样,是否是安装的不够完整?一直报找不到该模块,版本是3.5rn[img=https://img-bbs.csdn.net/upload/201807/06/1530845483_82253.png][/img]
ImportError: No module named app 遇到无法导入问题
问题描述:https://stackoverflow.com/questions/28616139/importerror-no-module-named-app#rnrn由于遇到问题是一样的,故贴了别人的问题描述 题目中两办法都实验了 还是无法解决 下面是我的目录结构 请教各位rnrn[img=https://img-bbs.csdn.net/upload/201804/17/1523937477_935746.png][/img]
python3 导入模块, 导入项目目录的模块如何不会出现报错 -- ImportError: No module named 'db'
python 在导入项目目录的文件时,会报错 ImportError, 这是由于系统没有找到模块路径(sys.path)。 根据我的一个简单项目来说明一下导入的正确姿势, 目录结构如下 ── web_monitor ├── conf │ ├── db_config.py │ ├── init.py ├── db │ ├── db.cnf │ ├── init.py │ ├── ...
python出现错误:“No module named”
https://jingyan.baidu.com/article/6dad50755b91dea122e36e10.html
cmd命令行交互执行python引入模块时提示ImportError: No module named xxx
1、我的目录结构: 2、cmd报错: 3、如何解决: 创建PYTHONPATH 变量,在这个环境变量中输入相关的路径,不同的路径之间用英文逗号分开 这里的路径会自动加入到sys.path中,永久存在于sys.path中而且可以在不同的python版本中共享,应该是一样较为方便的方法。 现在来看cmd中执行: 如果是工程根目录下的,就直接import 模块
学习绘制网络图时出现ImportError: No module named 'google'的问题
解决方法:pip install protobuf
tensorflow报错:ImportError:No module named 'tensorflow.python.platform'?
今天要打开tensorboard的时候出现报错:rn![图片说明](https://img-ask.csdn.net/upload/201906/02/1559476838_499887.png)rnrn然后试着用pythonrnimport tensorflow as tfrn检查了一下,还是同样的报错。rn所有用到import TensorFlow的程序都无法运行了。rnrn用网上的方法,添加PATH或者给tensorflow升级、重新安装后都是这样,不知道是为啥。
解决这个错误问题:importerror no module named fcntl
解决这个错误问题:importerror no module named fcntl。 解压后,将fcntl.py文件放到PYTHONPATH路径即可,我是放到了Python27\Lib目录下。
Ceph启动失败: ImportError: No module named rados
三台机器,每台兼任mds和osd,其中一台兼任mon,初始化成功(倒腾了一整天。。。)rnrn然后启动的时候失败,信息如下。。。rnrn# /etc/init.d/ceph -a startrn=== mon.00 === rnStarting Ceph mon.00 on ceph00...already runningrn=== mds.00 === rnStarting Ceph mds.00 on ceph00...already runningrn=== mds.01 === rnStarting Ceph mds.01 on ceph01...already runningrn=== mds.02 === rnStarting Ceph mds.02 on ceph02...already runningrn=== osd.00 === rnMounting Btrfs on ceph00:/data/osd.00rnScanning for Btrfs filesystemsrnTraceback (most recent call last):rn File "/usr/local/ceph/bin/ceph", line 56, in rn import radosrnImportError: No module named radosrnfailed: 'timeout 10 /usr/local/ceph/bin/ceph --name=osd.00 --keyring=/data/osd.00/keyring osd crush create-or-move -- 00 0.02 root=default host=ceph00 'rnroot@ceph00:~/.ssh# /etc/init.d/ceph -a startrn=== mon.00 === rnStarting Ceph mon.00 on ceph00...already runningrn=== mds.00 === rnStarting Ceph mds.00 on ceph00...already runningrn=== mds.01 === rnStarting Ceph mds.01 on ceph01...already runningrn=== mds.02 === rnStarting Ceph mds.02 on ceph02...already runningrn=== osd.00 === rnMounting Btrfs on ceph00:/data/osd.00rnScanning for Btrfs filesystemsrnTraceback (most recent call last):rn File "/usr/local/ceph/bin/ceph", line 56, in rn import radosrnImportError: No module named radosrnfailed: 'timeout 10 /usr/local/ceph/bin/ceph --name=osd.00 --keyring=/data/osd.00/keyring osd crush create-or-move -- 00 0.02 root=default host=ceph00 'rnrn我是用ceph源码编译安装的,我用lsmod命令查看也确实没有rados模块,但是又查不到怎么安装rados模块。。rnrn求助。。。
django创建model出错: ImportError: No module named
环境:Django-1.9.1-py2.7 + centos 3.10.0 + mysql5.0rn教程:http://www.runoob.com/django/django-model.htmlrnrn我按着教程走,创建了HelloWorld的proj,之后创建TestModel的app,这时候我的目录是这样的:rn[root@VM_9_170_centos HelloWorld]# treern.rn|-- HelloWorldrn| |-- __init__.pyrn| |-- __init__.pycrn| |-- db.sqlite3rn| |-- settings.pyrn| |-- settings.pycrn| |-- templatesrn| | |-- base.htmlrn| | `-- hello.htmlrn| |-- urls.pyrn| |-- urls.pycrn| |-- view.pyrn| |-- view.pycrn| |-- wsgi.pyrn| `-- wsgi.pycrn|-- TestModelrn| |-- __init__.pyrn| |-- __init__.pycrn| |-- admin.pyrn| |-- admin.pycrn| |-- apps.pyrn| |-- migrationsrn| | `-- __init__.pyrn| |-- models.pyrn| |-- models.pycrn| |-- tests.pyrn| `-- views.pyrn|-- db.sqlite3rn`-- manage.pyrnrnHelloWorld/settings.py:rnINSTALLED_APPS = [rn 'django.contrib.admin',rn 'django.contrib.auth',rn 'django.contrib.contenttypes',rn 'django.contrib.sessions',rn 'django.contrib.messages',rn 'django.contrib.staticfiles',rn 'TestModel',rn]rnrnTestModel/models.pyrnclass Test(models.Model):rn name = models.CharField(max_length=20)rnrn我执行命令: python manage.py syncdbrn报错:rnUnknown command: 'syncdb'rnType 'manage.py help' for usage.rnrn我怀疑跟教程目录不一样,把TestModel mv 到HelloWorld里:rnmv TestModel/ HelloWorld/rnrn重新执行: python manage.py syncdbrn报错:rn[root@VM_9_170_centos HelloWorld]# python manage.py syncdbrnTraceback (most recent call last):rn File "manage.py", line 9, in rn execute_from_command_line(sys.argv)rn File "/usr/lib/python2.7/site-packages/Django-1.9.1-py2.7.egg/django/core/management/__init__.py", line 353, in execute_from_command_linern utility.execute()rn File "/usr/lib/python2.7/site-packages/Django-1.9.1-py2.7.egg/django/core/management/__init__.py", line 327, in executern django.setup()rn File "/usr/lib/python2.7/site-packages/Django-1.9.1-py2.7.egg/django/__init__.py", line 18, in setuprn apps.populate(settings.INSTALLED_APPS)rn File "/usr/lib/python2.7/site-packages/Django-1.9.1-py2.7.egg/django/apps/registry.py", line 85, in populatern app_config = AppConfig.create(entry)rn File "/usr/lib/python2.7/site-packages/Django-1.9.1-py2.7.egg/django/apps/config.py", line 90, in creatern module = import_module(entry)rn File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_modulern __import__(name)rnImportError: No module named TestModelrnrn网上看了很多,基本都是版本问题,但是我这里INSTALLED_APPS应该没错。求助高手解答。rn
ImportError: No module named 'config' 怎么解决?
[img=https://img-bbs.csdn.net/upload/201602/26/1456468578_162420.jpg][/img]rnrnImportError: No module named 'config' 怎么解决?
python爬虫导入自己事先定义好的配置文件,在服务器运行出现ImportError: No module named 'a005_BanGuMi_spider_subject' 错误
原有的爬虫配置文件导包如下:# coding=utf-8 import requests # 自己定义的文件配置 from a005_BanGuMi_spider_subject import BanGuMi_Subject_Spider_Config from lxml import etree from retrying import retry import json # 自己定义的方法 f...
py2exe打包的程序出现ImportError: No module named paramiko
win7下 Python是2.7版本,在程序中import paramiko了,调试模式下也可以ssh连接Linux服务器了,但用了py2exe打包程序后,点击程序产生出一个日志文件,里面显示ImportError: No module named paramiko,程序也一闪而过了,我明明在程序中import paramiko了,我屏蔽掉import paramiko之后程序就不会一闪而过,但ssh也用不了了,所以应该是import paramiko语句在打包的时候没找到paramiko模块,调试下就可以找到。请教,这打包的时候该如何处理?
java调用python文件报错ImportError: No module named urllib
python代码rnrn# -*- coding: utf-8 -*-rnimport urllibrnprint "sdf"rnrnjava代码rnrnimport org.python.util.PythonInterpreter; rnimport org.python.core.*; rnrnrnpublic class cs rnrn public static void main(String[] args) rn // TODO Auto-generated method stubrn PythonInterpreter interp = new PythonInterpreter();rn interp.execfile("D:\\lm.py");rn rn rnrnrn实在不知道为什么各位大哥大姐帮帮忙吧!!
我运行python文件的时候提示ImportError: No module named 'requests'
ImportError: No module named 'requests'rnrn没有requests模块...怎么解决?去哪里下载?
相关热词 c#部署端口监听项目、 c#接口中的属性使用方法 c# 昨天 c#func链接匿名方法 c#怎么创建文件夹 c#从键盘接收空格 c#da/ad c#部门请假管理系统 c#服务器socket c# 默认的访问修饰符